ソースを参照

try cheatcodes for iwd handling

hendrikl-patch-1
Torsten Wohlfarth 2ヶ月前
コミット
aece3a861f

+ 1
- 0
debian/cblues-xorg-livesettings.install ファイルの表示

@@ -0,0 +1 @@
xorg-cheatcodes usr/share/cblues-xorg-livesettings

+ 1
- 0
debian/cblues-xorg-livesettings.lintian-overrides ファイルの表示

@@ -0,0 +1 @@
cblues-xfce-livesettings: init.d-script-call-internal-API etc/init.d/xfce-cheatcodes

+ 28
- 0
debian/cblues-xorg-livesettings.preinst ファイルの表示

@@ -0,0 +1,28 @@
#!/bin/sh
# preinst script for #PACKAGE#

set -e

case "$1" in
install|upgrade)
if ! ischroot; then
if [ ! -d /fll ] ; then
echo '############################################################'
echo 'Installing this package is only allowed in live systems!'
echo 'Aborting installation.'
echo '############################################################'
exit 1
fi
fi
;;
abort-upgrade)
;;
*)
echo "preinst called with unknown argument \`$1'" >&2
exit 1
;;
esac

#DEBHELPER#

exit 0

+ 11
- 0
debian/cblues-xorg-livesettings.service ファイルの表示

@@ -0,0 +1,11 @@
[Unit]
Description=KDE cheatcodes in live media
ConditionPathExists=/usr/share/cblues-kde-settings/
After=cblues-common-livesettings.service

[Service]
Type=oneshot
ExecStart=/usr/share/cblues-kde-settings/xfce-cheatcodes start

[Install]
WantedBy=graphical.target

+ 6
- 0
debian/changelog ファイルの表示

@@ -1,3 +1,9 @@
cblues-xorg-settings (2021.1.0-9) unstable; urgency=medium

* try cheatcodes for iwd handling

-- Torsten Wohlfarth <towo@siduction.org> Thu, 11 Feb 2021 18:53:16 +0100

cblues-xorg-settings (2021.1.0-8) unstable; urgency=medium

* package latest commits up to 81b012258f by hendrikL

+ 76
- 0
xorg-cheatcodes ファイルの表示

@@ -0,0 +1,76 @@
#!/bin/sh


PATH=/sbin:/usr/sbin:/bin:/usr/bin
NAME="nox-cheatcodes"

if [ -r /etc/default/distro ]; then
. /etc/default/distro
fi

. /lib/lsb/init-functions

. /lib/init/fll

systemctl stop wpa_supplicant.service
systemctl mask wpa_supplicant.service
systemctl stop NetworkManager.service
systemctl enable --now iwd.service
systemctl start NetworkManager.service

if [ -r /etc/default/fll-locales ]; then
. /etc/default/fll-locales
fi

FLL_LIVE_USER_HOME=$(getent passwd ${FLL_LIVE_USER} | cut -d \: -f 6)

###
# cheatcode handling
###
for param in $(cat /proc/cmdline); do
case "${param}" in
flldebug=*)
if [ "${param#flldebug=}" = "${NAME}" ] || [ "${param#flldebug=}" = "all" ]; then
fll_redirect
fi
;;
nointro)
NOINTRO="nointro"
;;
esac
done

no_intro() {
if [ -z "${NOINTRO}" ] ; then
[ ! -f ${FLL_LIVE_USER_HOME}/.config/autostart/${FLL_DISTRO_NAME}.desktop ] && \
sudo -u ${FLL_LIVE_USER} ln -sf "${FLL_LIVE_USER_HOME}/Desktop/${FLL_DISTRO_NAME}.desktop" \
"${FLL_LIVE_USER_HOME}/.config/autostart/"
elif [ -e "${FLL_LIVE_USER_HOME}/.config/autostart/${FLL_DISTRO_NAME}.desktop" ]; then
# toram + persistency
rm -f "${FLL_LIVE_USER_HOME}/.config/autostart/${FLL_DISTRO_NAME}.desktop"
fi
}

do_start() {
if [ -f ${FLL_LIVE_USER_HOME}/Desktop/${FLL_DISTRO_NAME}.desktop ]; then
no_intro
fi
}

case "${1}" in
start)
log_daemon_msg "${NAME}"
do_start
log_end_msg "${?}"
;;
stop)
;;
restart|force-reload)
echo "Error: argument '${1}' not supported" >&2
exit 3
;;
*)
echo "Usage: ${NAME} {start|stop}" >&2
exit 3
;;
esac

読み込み中…
キャンセル
保存